Important Attn: Addon Devs - Python 3 compatible addons
#10
(2020-02-16, 04:12)ronie Wrote:
(2020-02-16, 03:37)scott967 Wrote: I've updated some addons to PY3 that appear to have no active devs.  I would like to have to have a release path to add  PY3 addons with same addon id to the matrix branch as I don't care to try to make a 2/3 compatible version.  IIUC right now there can only be one addon ver in the repo?

scott s.
.

just submit those py3 versions to the matrix branch, that'll make sure anyone running kodi 19 will get those.
people using leia or below will get the previous py2 version that's currently in the repo. 
Thanks.  That could really help.  There are a number of addons that have not been updated in a long time, and just do what they are meant to do.   Being able to get Py3 versions with identical functionality into the matrix repo would allow skins to continue to support the addons without having Yet Another Skin Helper (YASH).  My current examples are service.skin.widgets and script.extended.info (and underlying script.module.kodi65) both of which I have running fine in Matrix (comparing to their py2 versions).

A side benefit may be to make it easier to move to the new settings.xml format and language files/folders names.

scott s.
.
maintainer of skin  Aeon MQ5 mods for post-Gotham Kodi releases:
Matrix see: Aeon MQ5 Mod Martix release thread
Leia see: Aeon MQ5 Mod Leia release thread
Aeon MQ 5 skin and addon repo
Reply


Messages In This Thread
RE: Attn: Addon Devs - Python 3 compatible addons - by scott967 - 2020-02-17, 02:17


Logout Mark Read Team Forum Stats Members Help
Attn: Addon Devs - Python 3 compatible addons0
This forum uses Lukasz Tkacz MyBB addons.